:: Jazz RepoTools Launcher
@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2006, 2008. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************

setlocal
set START_DIR=%~dp0

:set DEFINE=%DEFINE% -Dcom.ibm.team.repotools.rcp.allowInvalidBundles=true
set DEFINE=%DEFINE% -Dcom.ibm.team.repository.provision.profile="%START_DIR%\provision_profiles"
set DEFINE=%DEFINE% -Dorg.eclipse.emf.ecore.plugin.EcorePlugin.doNotLoadResourcesPlugin=true
set DEFINE=%DEFINE% -Djava.awt.headless=true

rem The following four environment variables (*_ABSPATH) are used to point to a
rem directory that contains the appropriate JDBC jar file supplied by the
rem database vendor.  Users may set these variables; if they are set, the script
rem will respect their value.  If they are unset, we look in a directory under
rem <JazzInstallDir>/server by default.  (For example, the default location for
rem the Oracle JDBC driver is under <JazzInstallDir>/server/oracle).

if [%ORACLE_ABSPATH%]==[] goto :default_oracle
set DEFINE=%DEFINE% -DORACLE_JDBC="%ORACLE_ABSPATH%"
goto :after_oracle
:default_oracle
set DEFINE=%DEFINE% -DORACLE_JDBC="%START_DIR%\oracle"
:after_oracle

if [%SQLSERVER_ABSPATH%]==[] goto :default_sqlserver
set DEFINE=%DEFINE% -DSQLSERVER_JDBC="%SQLSERVER_ABSPATH%"
goto :after_sqlserver
:default_sqlserver
set DEFINE=%DEFINE% -DSQLSERVER_JDBC="%START_DIR%\sqlserver"
:after_sqlserver

if [%DB2I_ABSPATH%]==[] goto :default_db2i
set DEFINE=%DEFINE% -DDB2I_JDBC="%DB2I_ABSPATH%"
goto :after_db2i
:default_db2i
set DEFINE=%DEFINE% -DDB2I_JDBC="%START_DIR%\db2i"
:after_db2i

if [%DB2Z_ABSPATH%]==[] goto :default_db2z
set DEFINE=%DEFINE% -DDB2Z_JDBC="%DB2Z_ABSPATH%"
goto :after_db2z
:default_db2z
set DEFINE=%DEFINE% -DDB2Z_JDBC="%START_DIR%\db2z"
:after_db2z

set JAVA="%START_DIR%\win32\ibm-java2-i386-50\jre\bin\java"
set LAUNCHER=org.eclipse.equinox.launcher_1.0.1.R33x_v20080118.jar
set JAR="%START_DIR%\..\repotools\eclipse\plugins\%LAUNCHER%"
set APPLICATION=com.ibm.team.repotools.rcp.repotools_application

%JAVA% -Xmx512M %DEFINE% -jar %JAR% -application %APPLICATION% %*
endlocal
    